## org.eclipse.datatools.sqltools.sql.parser.ast
Interface IASTSQLStatement

All Superinterfaces:
  Node

All Known Implementing Classes:
  ASTSQLStatement

    public interface IASTSQLStatement

extends Node

The common interface for all SQL statements.

Author:
  Hui Cao

Method Summary
`void` `addObjectIdentifier(java.lang.String name)` Adds an object identifier to represent this statement.
`java.util.Collection` `getObjectIdentifiers()` What database objects does this statement operate on.
`int` `getType()` see SQLParserConstants

Methods inherited from interface org.eclipse.datatools.sqltools.sql.parser.ast.Node
`exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Method Detail

### getType

    int getType()

  see SQLParserConstants

  Returns:

### getObjectIdentifiers

    java.util.Collection getObjectIdentifiers()

  What database objects does this statement operate on. This is mainly used to describe the statement in UI, such as outline view.

  Returns:
    Collections of object name Strings

### addObjectIdentifier

    void addObjectIdentifier(java.lang.String name)

  Adds an object identifier to represent this statement.

  Parameters:
    `name` - the object name